Summary: Image display, conversion, and manipulation under X
Name: ImageMagick
Version: 5.2.5
Release: 1
Group: X11/Applications/Graphics
Copyright: Freeware
URL: http://www.imagemagick.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.cdrom.com/pub/ImageMagick/ImageMagick-%{version}.tar.gz
Source1: ftp://ftp.cdrom.com/pub/ImageMagick/ImageMagick.pdf
Buildroot: /var/tmp/%{name}-root

%description
ImageMagick is an image display, conversion, and manipulation tool.
It runs under X windows.  It is very powerful in terms of it's 
ability to allow the user to edit images.  It can handle many 
different formats as well.


%package devel
Summary: static libraries and header files for ImageMagick development
Group: X11/Libraries
Requires: %{name} = %{version}

%description devel
This is the ImageMagick development package.  It includes the static
libraries and header files for use in developing your own applications
that make use of the ImageMagick code and/or APIs.


%package perl
Summary: libraries and modules for access to ImageMagick from perl
Group: Development/Libraries/Perl
Requires: %{name} = %{version}, perl
Obsoletes: PerlMagick

%description perl
This is the ImageMagick perl support package. It includes perl modules and
support files for access to ImageMagick library from perl.


%package  Magick++
Summary:  object-oriented C++ API to the ImageMagick library
Group:    X11/Libraries
Requires: %{name} = %{version}

%description Magick++
This is the Magick++ package, the object-oriented C++ API to the ImageMagick
image-processing library.


%prep
%setup -q
for i in `find PerlMagick -type f`; do
	fgrep -qs /usr/local/bin/perl $i && \
	perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' $i
done


%build
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
LDFLAGS=-L$PWD/magick/.libs ./configure \
	--prefix=/usr \
	--disable-static \
	--enable-shared \
	--with-frozenpaths=no \
	--with-threads \
	--with-modules \
	--with-magick_plus_plus \
	--enable-lzw
$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/5.00503/man/man3
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`

# Strip shared objects and fix library path
strip $RPM_BUILD_ROOT/usr/{lib/{lib*.so.*.*,ImageMagick/modules/coders/*.so},bin/[a-z]*}
perl -pi -e 's|-L/.*magick/\.libs ||;s|/[^ ]*libjpeg.la|-ljpeg|;s|/[^ ]*libMagick.la|-lMagick|' $RPM_BUILD_ROOT/usr/lib/ImageMagick/modules/coders/*.la

# Preparing the perl-magick-filelist
( 
cd $RPM_BUILD_ROOT
find usr/lib/perl5 -type d -path \*Image\* -exec echo "%dir /{}" \; > perl.lst
find usr/lib/perl5 -type f -exec echo "/{}" \; >> perl.lst
)
mv -f $RPM_BUILD_ROOT/perl.lst .

# For %doc section
ln -sf ImageMagick.html index.html
install -p -m644 %{SOURCE1} .


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post    Magick++ -p /sbin/ldconfig
%postun  Magick++ -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ImageMagick.pdf *.txt index.html ImageMagick.html www images
/usr/bin/*
/usr/lib/ImageMagick
/usr/lib/libMagick.so.*
/usr/man/man*/*
/usr/share/ImageMagick

%files devel
%defattr(-,root,root)
/usr/include/magick
/usr/lib/libMagick.*a
/usr/lib/libMagick.so

%files perl -f perl.lst
%defattr(-,root,root)
%doc PerlMagick/Changelog PerlMagick/README.txt PerlMagick/demo

%files Magick++
%defattr(-,root,root)
%doc Magick++/doc Magick++/README
/usr/include/Magick++.h
/usr/include/Magick++
/usr/lib/libMagick++.*

